# $Revision: 1.16 $, $Date: 2012/04/16 13:06:02 $
#
# Conditional build:
%bcond_without	apidocs		# do not build and package API docs
#
Summary:	libgnome-keyring library
Summary(pl.UTF-8):	Biblioteka libgnome-keyring
Name:		libgnome-keyring
Version:	3.4.1
Release:	1
License:	LGPL v2
Group:		Libraries
Source0:	http://ftp.gnome.org/pub/GNOME/sources/libgnome-keyring/3.4/%{name}-%{version}.tar.xz
# Source0-md5:	b7c5abd89fd92344b15e7adf3079a54a
URL:		http://live.gnome.org/GnomeKeyring
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	dbus-devel >= 1.0
BuildRequires:	docbook-dtd412-xml
BuildRequires:	gettext-devel
BuildRequires:	glib2-devel >= 1:2.16.0
BuildRequires:	gobject-introspection-devel >= 1.30.0
%{?with_apidocs:BuildRequires:	gtk-doc >= 1.9}
BuildRequires:	intltool >= 0.40.0
BuildRequires:	libgcrypt-devel >= 1.2.2
BuildRequires:	libtool
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.527
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Requires:	glib2 >= 1:2.16.0
Requires:	libgcrypt >= 1.2.2
Conflicts:	gnome-keyring-libs < 2.29.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The libgnome-keyring library is used by applications to integrate with
the gnome-keyring system.

%description -l pl.UTF-8
Biblioteka libgnome-keyring jest używana w celu zintegrowania
aplikacji z systemem gnome-keyring.

%package devel
Summary:	Header files for libgnome-keyring library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libgnome-keyring
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	glib2-devel >= 1:2.16.0
Requires:	libgcrypt-devel >= 1.2.2
Conflicts:	gnome-keyring-devel < 2.29.0

%description devel
Header files for libgnome-keyring library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki libgnome-keyring.

%package apidocs
Summary:	libgnome-keyring library API documentation
Summary(pl.UTF-8):	Dokumentacja API biblioteki libgnome-keyring
Group:		Documentation
Requires:	gtk-doc-common
Conflicts:	gnome-keyring-apidocs < 2.29.0

%description apidocs
libgnome-keyring library API documentation.

%description apidocs -l pl.UTF-8
Dokumentacja API biblioteki libgnome-keyring.

%prep
%setup -q

%build
%{?with_apidocs:%{__gtkdocize}}
%{__intltoolize}
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	%{__enable_disable apidocs gtk-doc} \
	--with-html-dir=%{_gtkdocdir} \
	--disable-silent-rules
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/*.la

%if %{without apidocs}
rm -rf $RPM_BUILD_ROOT%{_gtkdocdir}
%endif

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog HACKING NEWS README
%attr(755,root,root) %{_libdir}/libgnome-keyring.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgnome-keyring.so.0
%{_libdir}/girepository-1.0/GnomeKeyring-1.0.typelib

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgnome-keyring.so
%{_datadir}/gir-1.0/GnomeKeyring-1.0.gir
%{_includedir}/gnome-keyring-1
%{_pkgconfigdir}/gnome-keyring-1.pc

%if %{with apidocs}
%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/gnome-keyring
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libgnome-keyring.spec,v $
Revision 1.16  2012/04/16 13:06:02  megabajt
- updated to 3.4.1

Revision 1.15  2012/03/30 13:39:57  qboosh
- versioned runtime dependencies

Revision 1.14  2012/03/26 21:25:34  megabajt
- updated to 3.4.0; merged changes from DEVEL

Revision 1.13.2.1  2012/03/09 19:38:01  megabajt
- updated to 3.3.91

Revision 1.13  2011/11/15 11:34:43  megabajt
- updated to 3.2.2

Revision 1.12  2011/09/25 17:33:15  wiget
- up to 3.2.0 (merge from DEVEL)

Revision 1.11.2.3  2011/09/25 17:32:30  wiget
- up to 3.2.0

Revision 1.11.2.2  2011/09/18 09:46:34  wiget
- up to 3.1.92

Revision 1.11.2.1  2011/09/08 15:57:40  wiget
- up to 3.1.90

Revision 1.11  2011/05/26 18:16:11  qboosh
- .xz BRs

Revision 1.10  2011/05/26 15:55:59  megabajt
- updated to 3.0.3

Revision 1.9  2011/05/23 10:56:39  megabajt
- updated to 3.0.2

Revision 1.8  2011/04/25 09:29:17  megabajt
- updated to 3.0.1

Revision 1.7  2011/04/04 16:25:22  megabajt
- updated to 3.0.0; merged from DEVEL

Revision 1.6.2.2  2011/03/21 17:40:38  megabajt
- updated to 2.91.93

Revision 1.6.2.1  2011/03/10 15:45:24  megabajt
- updated to 2.91.92
- removed libtool file

Revision 1.6  2011/01/30 12:12:30  charles
- -devel R: libgcrypt-devel

Revision 1.5  2010/09/28 20:22:06  megabajt
- updated to 2.32.0

Revision 1.4  2010/04/26 21:22:45  megabajt
- updated to 2.30.1

Revision 1.3  2010/03/31 06:00:19  megabajt
- updated to 2.30.0

Revision 1.2  2010/02/12 19:40:34  sparky
- BR: docbook-dtd412-xml, gettext-devel

Revision 1.1  2010/02/10 21:16:25  megabajt
- new

